Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.scheduler
Class Atom

    java.lang.Object
      com.knowgate.dataobjs.DBPersist
          com.knowgate.scheduler.Atom

All Implemented Interfaces:
  java.io.Serializable, java.util.Map

    public class Atom

extends DBPersist

Job Atom

Atoms hold single transaction units for Jobs.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`static java.lang.String` | `COLUMNS_LIST`
`static short` | `STATUS_ABORTED`
`static short` | `STATUS_FINISHED`
`static short` | `STATUS_INTERRUPTED`
`static short` | `STATUS_PENDING`
`static short` | `STATUS_RUNNING`
`static short` | `STATUS_SUSPENDED`

Fields inherited from class com.knowgate.dataobjs.DBPersist
`AllVals, sAuditCls, sAuditUsr, sTransactId`

Constructor Summary
`Atom()`
`Atom(java.sql.ResultSet oRow, java.sql.ResultSetMetaData oMetaData)` Load Atom from an open ResultSet When loading an Atom standard alises are created for several database fields.

Method Summary
`void` | `archive(JDCConnection oConn)` Move Atom from k_job_atoms table to k_job_atoms_archived
`void` | `setStatus(JDCConnection oConn, short iStatus, java.lang.String sLog)` Set atom status both in memory and at table k_job_atoms

Methods inherited from class com.knowgate.dataobjs.DBPersist
`allcaps, allcaps, changelog, clear, clone, containsKey, containsValue, delete, entrySet, exists, get, get, getAuditClassName, getCreationDate, getDate, getDateFormated, getDateShort, getDateTime, getDateTime24, getDecimal, getDecimalFormated, getDecimalFormated, getDouble, getDoubleFormated, getFloat, getFloatFormated, getInt, getInteger, getIntervalPart, getItemMap, getItems, getMoney, getShort, getSQLDate, getSQLTime, getString, getStringHtml, getStringNull, getTable, getTable, getTableName, getTime, getTimeOfDay, getTimestamp, getUIdFromName, isEmpty, isNull, iterator, keySet, load, load, parseXML, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, put, putAll, putAll, remove, remove, replace, replace, replace, replace, replace, replace, replace, replace, setAuditTransact, setAuditUser, setCreationDate, size, store, toLowerCase, toUpperCase, toXML, toXML, toXML, toXML, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### STATUS_ABORTED

    public static final short STATUS_ABORTED

See Also:
  Constant Field Values

### STATUS_FINISHED

    public static final short STATUS_FINISHED

See Also:
  Constant Field Values

### STATUS_PENDING

    public static final short STATUS_PENDING

See Also:
  Constant Field Values

### STATUS_SUSPENDED

    public static final short STATUS_SUSPENDED

See Also:
  Constant Field Values

### STATUS_RUNNING

    public static final short STATUS_RUNNING

See Also:
  Constant Field Values

### STATUS_INTERRUPTED

    public static final short STATUS_INTERRUPTED

See Also:
  Constant Field Values

### COLUMNS_LIST

    public static final java.lang.String COLUMNS_LIST

See Also:
  Constant Field Values

Constructor Detail

### Atom

    public Atom()

### Atom

    public Atom(java.sql.ResultSet oRow,
                java.sql.ResultSetMetaData oMetaData)
         throws java.sql.SQLException

  Load Atom from an open ResultSet

  When loading an Atom standard alises are created for several database fields.
  These aliases allow referencing database fields from document templates with a user friendly syntax.
  When processing the Atom, all document references will be resolved to actual database values for corresponding fields.

  Database Field | English Alias | Spanish Alias
  gu_company | Data.Company_Guid | Datos.Guid_Empresa
  gu_contact | Data.Contact_Guid | Datos.Guid_Contacto
  tx_name | Data.Name | Datos.Nombre
  tx_surname | Data.Surname | Datos.Apellidos
  tx_salutation | Data.Salutation | Datos.Saludo
  nm_commercial | Data.Legal_Name | Datos.Razon_Social
  url_addr | Address.URL | Direccion.URL
  tx_email | Address.EMail | Direccion.EMail
  tp_street | Address.Street_Type | Direccion.Tipo_Via
  nm_street | Address.Street_Name | Direccion.Nombre_Via
  nu_street | Address.Street_Num | Direccion.Numero_Via
  tx_addr1 | Address.Line1 | Direccion.Linea1
  tx_addr2 | Address.Line2 | Direccion.Linea2
  nm_country | Address.Country | Direccion.Pais
  nm_state | Address.State | Direccion.Provincia
  mn_city | Address.City | Direccion.Ciudad
  zipcode | Address.Zipcode | Direccion.Codigo_Postal
  fax_phone | Address.Fax_Phone | Direccion.Telf_Fax
  work_phone | Address.Proffesional_Phone | Direccion.Telf_Profesional

  Parameters:
    `oRow` - Open ResultSet positioned at the row that must be loaded in this Atom
    `oMetaData` - ResultSetMetaData
  Throws:
    `java.sql.SQLException`

Method Detail

### archive

    public void archive(JDCConnection oConn)
                 throws java.sql.SQLException

  Move Atom from k_job_atoms table to k_job_atoms_archived

  Parameters:
    `oConn` - Database Connection
  Throws:
    `java.sql.SQLException`

### setStatus

    public void setStatus(JDCConnection oConn,
                          short iStatus,
                          java.lang.String sLog)
                   throws java.sql.SQLException,
                          java.lang.NullPointerException,
                          java.lang.NumberFormatException

  Set atom status both in memory and at table k_job_atoms

  Parameters:
    `oConn` - JDCConnection
    `iStatus` - short [STATUS_ABORTED | STATUS_FINISHED | STATUS_PENDING | STATUS_SUSPENDED | STATUS_RUNNING | STATUS_INTERRUPTED]
    `sLog` - Text to be logged as the cause of status change
  Throws:
    `java.sql.SQLException`
    `java.lang.NullPointerException`
    `java.lang.NumberFormatException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD